# macop.solutions.IntegerSolution

Integer solution class implementation

Classes

`IntegerSolution`(_data, _size) | Integer solution class

class `macop.solutions.IntegerSolution.``IntegerSolution`(_data, _size)

  Integer solution class

  `data`

    {ndarray} – array of binary values

  `size`

    {int} – size of binary array values

  `score`

    {float} – fitness score value

  `random`(_validator)

    Intialize integer array with use of validator to generate valid random solution

    Parameters

      _validator – {function} – specific function which validates or not a solution

    Returns

      {IntegerSolution} – new generated integer solution